USERDEL(8)

NAMN
userdel - ta bort ett användarkonto och relaterade filer

SYNOPSIS

userdel [flaggor] INLOGGNINGSNAMN

BESKRIVNING

Kommandot userdel ändrar i systemkontofilerna, tar bort alla poster som refererar till login_name. Den angivna användaren måste finnas.

FLAGGOR

Flaggorna som gäller för kommandot userdel är:

-f, --force
    This option forces the removal of the user, even if she is still logged in. It also forces userdel to remove the user's home directory or her mail spool, even if another user uses the same home directory or if the mail spool is not owned by the specified user. If USERGROUPS_ENAB is defined to yes in /etc/login.defs and if a group exists with the same name as the deleted user, then this group will be removed, even if it is still the primary group of another user.

    Notera: Denna flagga är farlig och kan göra att ditt system försätts i ett inkonsistent tillstånd.

-h, --help
    Visa hjälpmeddelande och avsluta.

-r, --remove
    Files in the user's home directory will be removed along with the home directory itself and the user's mail spool. Files located in other file systems will have to be searched for and deleted manually.

    The mail spool is defined by the MAIL_DIR variable in the login.defs file.

FILER

/etc/group
    Gruppkontoinformation.

/etc/login.defs
    Shadow password suite configuration.

/etc/passwd
    Användarkontoinformation.

/etc/shadow
    Säker användarkontoinformation.

AVSLUTNINGSVÄRDEN

Kommandot userdel avslutas med följande värden:

0   lyckad

1   kan inte uppdatera lösenordsfilen

2   ogiltig kommandosyntax

6   angiven användare finns inte

8   användaren är för närvarande inloggad

10  kan inte uppdatera gruppfilen

12  kan inte ta bort hemkatalogen

TÄNK PÅ

userdel will not allow you to remove an account if the user is currently logged in. You must kill any running processes which belong to an account that you are deleting.

Du får inte ta bort några NIS-attribut på en NIS-klient. Detta måste genomföras på NIS-servern.

If USERGROUPS_ENAB is defined to yes in /etc/login.defs, userdel will delete the group with the same name as the user. To avoid inconsistencies in the passwd and group databases, userdel will check that this group is not used as a primary group for another user, and will just warn without deleting the user otherwise. The -f option can force the deletion of this group.

SE OCKSÅ

chfn(1), chsh(1), passwd(1), login.defs(5), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), useradd(8), usermod(8).